List of all members
clan::DetectHang Class Reference
clanCore ErrorReporting

Calls CrashReporter::invoke if the constructing thread does not call RunLoop::process for more than 30 seconds. More...

`#include <detect_hang.h>`

## Public Member Functions
Construction
| DetectHang ()
| Constructs a hang detector. More...

## Detailed Description

Calls CrashReporter::invoke if the constructing thread does not call RunLoop::process for more than 30 seconds.

The documentation for this class was generated from the following file:

- detect_hang.h